Get one entity of a business registry on the lean set
curl --request GET \
--url https://api.investorlift.com/v3/entities/{state}/{no} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/entities/{state}/{no}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/entities/{state}/{no}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"entity_no": "L17142520",
"state": "AZ",
"name": "EVENTUS INTERNATIONAL LLC",
"kind": "LLC",
"type_as_filed": "Domestic Limited Liability Company",
"status": "Active",
"formation_date": "2011-10-18",
"approval_date": "2011-10-18",
"is_foreign": false,
"domicile": "AZ",
"character_of_business": null,
"former_names": [],
"principal_address": {
"line1": "644 E. LEHI RD.",
"line2": null,
"city": "MESA",
"state": "AZ",
"zip": "85203"
},
"known_place_of_business": {
"line1": null,
"line2": null,
"city": null,
"state": null,
"zip": null
},
"statutory_agent": {
"name": null,
"address": {
"line1": "PO BOX 5177",
"line2": null,
"city": "MESA",
"state": "AZ",
"zip": "85211"
},
"mailing_line1": "PO BOX 5177",
"mailing_zip": "85211",
"status": "Active",
"status_date": null
},
"org": {
"org_id": "AZ:L17142520",
"display_name": "EVENTUS INTERNATIONAL LLC",
"refused": false
},
"links": [
{
"link_class": "person",
"link_key": null,
"rule": "agent_principal",
"kept": true,
"joined": true,
"drop_reason": null,
"n_entities": 4
},
{
"link_class": "person",
"link_key": null,
"rule": "principal",
"kept": true,
"joined": true,
"drop_reason": null,
"n_entities": 4
},
{
"link_class": "person",
"link_key": null,
"rule": "principal",
"kept": true,
"joined": true,
"drop_reason": null,
"n_entities": 10
},
{
"link_class": "person",
"link_key": null,
"rule": "principal",
"kept": true,
"joined": false,
"drop_reason": "second_pass_cut",
"n_entities": 9
},
{
"link_class": "address",
"link_key": "644 E LEHI RD|85203",
"rule": "address",
"kept": false,
"joined": false,
"drop_reason": "candidate_rule",
"n_entities": 15
}
],
"people": []
},
"meta": {
"generated_at": "2026-09-23T03:14:40.792Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-09-22T13:41:32.949Z",
"published_at": "2026-09-23T01:02:16.717Z",
"run_id": 1790123752
},
{
"state": "TX",
"build_id": null,
"built_at": "2026-09-22T16:11:23.904Z",
"published_at": "2026-09-23T03:14:20.380Z",
"run_id": 1790130178
}
]
}
}
}Lean set (/v3)
Get one entity of a business registry on the lean set
Get one entity of a business registry on the lean set.
GET
/
v3
/
entities
/
{state}
/
{no}
Get one entity of a business registry on the lean set
curl --request GET \
--url https://api.investorlift.com/v3/entities/{state}/{no} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/entities/{state}/{no}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/entities/{state}/{no}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"entity_no": "L17142520",
"state": "AZ",
"name": "EVENTUS INTERNATIONAL LLC",
"kind": "LLC",
"type_as_filed": "Domestic Limited Liability Company",
"status": "Active",
"formation_date": "2011-10-18",
"approval_date": "2011-10-18",
"is_foreign": false,
"domicile": "AZ",
"character_of_business": null,
"former_names": [],
"principal_address": {
"line1": "644 E. LEHI RD.",
"line2": null,
"city": "MESA",
"state": "AZ",
"zip": "85203"
},
"known_place_of_business": {
"line1": null,
"line2": null,
"city": null,
"state": null,
"zip": null
},
"statutory_agent": {
"name": null,
"address": {
"line1": "PO BOX 5177",
"line2": null,
"city": "MESA",
"state": "AZ",
"zip": "85211"
},
"mailing_line1": "PO BOX 5177",
"mailing_zip": "85211",
"status": "Active",
"status_date": null
},
"org": {
"org_id": "AZ:L17142520",
"display_name": "EVENTUS INTERNATIONAL LLC",
"refused": false
},
"links": [
{
"link_class": "person",
"link_key": null,
"rule": "agent_principal",
"kept": true,
"joined": true,
"drop_reason": null,
"n_entities": 4
},
{
"link_class": "person",
"link_key": null,
"rule": "principal",
"kept": true,
"joined": true,
"drop_reason": null,
"n_entities": 4
},
{
"link_class": "person",
"link_key": null,
"rule": "principal",
"kept": true,
"joined": true,
"drop_reason": null,
"n_entities": 10
},
{
"link_class": "person",
"link_key": null,
"rule": "principal",
"kept": true,
"joined": false,
"drop_reason": "second_pass_cut",
"n_entities": 9
},
{
"link_class": "address",
"link_key": "644 E LEHI RD|85203",
"rule": "address",
"kept": false,
"joined": false,
"drop_reason": "candidate_rule",
"n_entities": 15
}
],
"people": []
},
"meta": {
"generated_at": "2026-09-23T03:14:40.792Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-09-22T13:41:32.949Z",
"published_at": "2026-09-23T01:02:16.717Z",
"run_id": 1790123752
},
{
"state": "TX",
"build_id": null,
"built_at": "2026-09-22T16:11:23.904Z",
"published_at": "2026-09-23T03:14:20.380Z",
"run_id": 1790130178
}
]
}
}
}This route serves the lean set under
/v3/entities/{state}/{no}. See The lean dataset for the tier rules.Authorizations
API key from the developer console (starts with zpka_). Create one at https://developers.investorlift.com/get-a-key. The same key works on POST /mcp.
Path Parameters
The 2-letter state of the registry, for example AZ.
Pattern:
^[A-Z]{2}$The registry number of the entity, as an organization body spells it, for example L17142520.
Pattern:
^[A-Z0-9-]{1,40}$Response
One entity.
One entity.
Was this page helpful?